Description

A common problem is that users are unaware that they are installing an experimental plugin. Once you allow "experimental" plugins in the

Installer, all possible plugins will be listed without any additional note on whether they are stable or not. Users simply expect them to work

and will be disappointed. The plugin list should clearly show which plugins are ready for production use and which are experimental.

I'll put priority to "high" since I think this really should be added to the next version.

Associated revisions

Revision fccf9ac5 - 2012-10-07 06:50 PM - Alexander Bruy

mark experimental plugins in installer (fix #5980)

History

#1 - 2012-08-15 03:49 PM - Robin Lovelace

Even better: add a software-centre style user rating system.

May be over-complex solution, acknowledged.

If so, would allowing the user to order plugins by number of downloads per month help?

That way popular (generally non-experimental) plugins like Sextant would rise to the top IMO.

Just a suggestion,

Robin

#2 - 2012-10-05 07:06 AM - Alexander Bruy

- File darkRed.png added

- File darkYellow.png added

How we should mark such plugins? Here is two screenshots where experimental plugins are marked with different font color. Also it is possible to change

font style (e.g. make it italic) and/or change background

#3 - 2012-10-05 01:50 PM - Anita Graser

I like red.

Could the status also read "experimental"? Just to make sure that users really get it.
#4 - 2012-10-05 03:54 PM - Nathan Woodrow

I would avoid red font for things like this it normally means error.

I would suggest to add a little science icon with a tooltip to say "Experimental" something like 

http://www.iconfinder.com/icondetails/45373/128/chemistry_science_test_icon

#5 - 2012-10-06 02:13 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2012-10-06 02:39 AM - Anita Graser

Good point, Nathan! +1 for an icon if possible.

#7 - 2012-10-06 05:38 AM - Alexander Bruy

- File with_icons.png added

Here is screenshot for one of the possible implementations.

#8 - 2012-10-07 03:20 AM - Alexander Bruy

- File installer-2.png added

And another shot, with Nathan's suggestions

#9 - 2012-10-07 03:28 AM - Jaka Kranjc

I suggest the name and version columns at least get a tooltip along the line of "EXPERIMENTAL; plugin is not finished yet", since it is not immediately clear

what the potion icon is about (and there's a chance people will hover over it).

#10 - 2012-10-07 04:07 AM - Alexander Bruy

- File installer-3.png added

Yet another shot. Separate column for icons, but without text

#11 - 2012-10-07 10:13 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"fccf9ac5d00e326a9b66f314524fde69e438e7e9".

#12 - 2012-10-07 10:13 AM - Alexander Bruy

- Resolution set to fixed
#13 - 2012-10-07 02:19 PM - Borys Jurgiel

- File installer.diff added

The install/uninstall buttons don't work anymore. Here's a patch.

#14 - 2012-10-07 02:23 PM - Borys Jurgiel

- Pull Request or Patch supplied changed from No to Yes

#15 - 2012-10-08 05:25 AM - Borys Jurgiel

- File installer2.patch added

yet another patch
